Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Can't load config class with name 'typescript-axios' #11

Closed
tanakaworld opened this issue Mar 5, 2019 · 3 comments
Closed

Can't load config class with name 'typescript-axios' #11

tanakaworld opened this issue Mar 5, 2019 · 3 comments

Comments

@tanakaworld
Copy link

@tanakaworld tanakaworld commented Mar 5, 2019

In version 0.0.8-3.2.0 I got this error.
How can I use typescript-axios generator?

Can't load config class with name 'typescript-axios'
Available:
ada
ada-server
android
apache2
apex
aspnetcore
bash
clojure
cwiki
cpp-qt5
cpp-qt5-qhttpengine-server
cpp-pistache-server
cpp-restbed-server
cpp-restsdk
cpp-tizen
csharp
csharp-dotnet2
csharp-nancyfx
dart
eiffel
elixir
elm
erlang-client
erlang-server
flash
scala-finch
go
go-server
groovy
kotlin
kotlin-server
haskell-http-client
haskell
java
jaxrs-cxf-client
java-inflector
java-msf4j
java-pkmst
java-play-framework
java-undertow-server
java-vertx
jaxrs-cxf
jaxrs-cxf-cdi
jaxrs-jersey
jaxrs-resteasy
jaxrs-resteasy-eap
jaxrs-spec
javascript
javascript-flowtyped
javascript-closure-angular
jmeter
lua
nodejs-server
objc
openapi
openapi-yaml
perl
php
php-laravel
php-lumen
php-slim
php-silex
php-symfony
php-ze-ph
powershell
python
python-flask
r
ruby
ruby-on-rails
ruby-sinatra
rust
rust-server
scalatra
scala-akka
scala-httpclient
scala-gatling
scala-lagom-server
scalaz
spring
dynamic-html
html
html2
swift2-deprecated
swift3
swift4
typescript-angular
typescript-angularjs
typescript-aurelia
typescript-fetch
typescript-inversify
typescript-jquery
typescript-node

[error] Check the spelling of the generator's name and try again.
npm ERR! code ELIFECYCLE
npm ERR! errno 1
@tanakaworld

This comment has been minimized.

Copy link
Author

@tanakaworld tanakaworld commented Mar 5, 2019

This error seems to be fixed in version 0.0.8-4.0.0-beta2 🤔

@kay-schecker

This comment has been minimized.

Copy link
Contributor

@kay-schecker kay-schecker commented Mar 5, 2019

It's seems not to be an issue. I'd say the generator you'd like to use was just not available in v3.2.0 of https://github.com/OpenAPITools/openapi-generator

@wing328

This comment has been minimized.

Copy link
Member

@wing328 wing328 commented Mar 7, 2019

Right, v3.2.0 was pretty old so please update to the latest version to get all the generators.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.